Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# channel_converter Struct Template Reference
[channel_convert]

`#include <channel_algorithm.hpp>`

List of all members.

## Detailed Description

### template<typename SrcChannelV, typename DstChannelV>
struct boost::gil::channel_converter< SrcChannelV, DstChannelV >

A unary function object converting between channel types.

## Public Member Functions

DstChannelV | operator() (SrcChannelV src) const

The documentation for this struct was generated from the following file:

- channel_algorithm.hpp